unattended provisioning with foreman login enabled
Assignee:    

Category:    

Target version: 1.1   

Difficulty:  Fixed in Releases:  
Pull request:    

Description

When using unattended provisioning and foreman login enabled foreman always try to redirect to login page.

Thats the reason why new server cant be kickstarted if the login is enabled.

curl http://foreman/unattended/provision?spoof=192.168.1.14

<html><body>You are being <a href="http://foreman/users/login">redirected</a>.</body></html

 It works if I disable login in settings.yaml ( ":login: false") . (both method curl the kickstart and install new server )

History

#1 - 02/26/2012 02:37 AM - Ohad Levy

- Status changed from New to Feedback

- Assignee deleted (Ohad Levy)

normally, when a server request the kickstart (not using the spoof option) this should work.

your servers should not be using spoof, as using spoof avoiding activating some options (such as puppet certificate cleanup and generation).

#2 - 02/29/2012 08:29 AM - Peter Velas

So I checked source codes and its now clear. Its just bad misinterpretation from my side.

But at least documentation should be more descriptive, because not everyone can consult foreman source...

You should close this ticket.

Thanks a lot for your time.

#3 - 11/15/2012 10:33 AM - Benjamin Papillon

- Status changed from Feedback to Closed

- Target version set to Bug scrub

Closing the ticket as opener request.

What exactly do you want to see in the documentation?
